summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.2.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-20 12:38:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-20 12:38:42 +0000
commitf4e4dc8ea72bb62021fac69c8c7b1580c3b2434f (patch)
tree13c1bead84fd991b9e5d4539bf64d765693630e6 /dev-python/python-utils/python-utils-3.2.3.ebuild
parent0bb739e46f4201a2cb9f72c5915a046c2927079d (diff)
downloadsrcux-f4e4dc8ea72bb62021fac69c8c7b1580c3b2434f.tar.gz
srcux-f4e4dc8ea72bb62021fac69c8c7b1580c3b2434f.tar.xz
srcux-f4e4dc8ea72bb62021fac69c8c7b1580c3b2434f.zip
Adding metadata
Diffstat (limited to 'dev-python/python-utils/python-utils-3.2.3.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.2.3.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.2.3.ebuild b/dev-python/python-utils/python-utils-3.2.3.ebuild
new file mode 100644
index 000000000000..e51c7aa0ebd5
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.2.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}